import request from '@/utils/request'
//查询员工
export function getStaffList(params) {
	return request({
		url: '/system/user/list',
		method: 'get',
		params
	})
}

// 根据员工序号获取责权信息
export function getResponsibilityRight(userId) {
    return request({
        url: '/system/user/responsibilityRight/' + userId,
        method: 'GET'
    })
}

// 获取级别职务下拉树列表
export function getLevelTreeSelect() {
	return request({
		url: '/system/level/treeSelect',
		method: 'get'
	})
}

// 获取性质岗位下拉树列表
export function getNatureTreeSelect() {
	return request({
		url: '/system/nature/treeSelect',
		method: 'get'
	})
}

//查询级别
export function levelList() {
	return request({
		url: '/system/level/list',
		method: 'get'
	})
}

// 新增员工账号信息
export function addUser(data) {
	return request({
		url: '/system/user',
		method: 'post',
		data: data
	})
}

// 删除员工
export function delUser(userIds) {
	return request({
	  url: 'system/user/' + userIds,
	  method: 'delete'
	})
  }

// 根据员工序号获取授权功能权限
export function getAuthRole(userId) {
    return request({
        url: '/system/user/authRole/' + userId,
        method: 'GET'
    })
}